> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Leads to a List

> Add Leads to a List



## OpenAPI

````yaml post /lead-lists/{id}/leads
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /lead-lists/{id}/leads:
    post:
      tags:
        - Lead List
        - Leads
      summary: Add Leads to a List
      description: Add Leads to a List
      parameters:
        - name: id
          in: path
          required: true
          description: Lead List id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - leads
              additionalProperties: false
              properties:
                type:
                  type: string
                  enum:
                    - linkedin
                    - email
                    - titles_and_company
                leads:
                  type: array
                  description: >-
                    You can add up to 10,000 leads at a time. However, each Lead
                    List can have a maximum of 60,000 leads. When approaching
                    this limit, new leads will be added partially until the
                    limit is reached. When the limit is hit, a 409 HTTP status
                    code will be returned. Enriching, email validation, and
                    reveal settings are inherited from the Lead List settings.
                    If credits are spent, those will be deducted from the admin
                    user of the account.
                  maxItems: 10000
                  items:
                    type: object
                    additionalProperties: true
                    properties:
                      linkedin_url:
                        type: string
                      email:
                        type: string
                        format: email
                      title:
                        type: string
                      company_name:
                        type: string
                      company_domain:
                        type: string
        required: true
        description: Leads to add to the list
      responses:
        '202':
          description: Lead List Leads accepted
          content:
            application/json:
              examples:
                'Lead List type: linkedin':
                  value:
                    total: 1
                    total_added_to_lead_list: 1
                'Lead List type: email':
                  value:
                    total: 1
                    total_added_to_lead_list: 1
                Partial import due to reaching the total limit per list:
                  value:
                    total: 3
                    total_added_to_lead_list: 2
                Partial import due to duplicates in the batch:
                  value:
                    total: 3
                    total_added_to_lead_list: 2
                No import due to duplicates in the list:
                  value:
                    total: 2
                    total_added_to_lead_list: 0
              schema:
                type: object
                additionalProperties: false
                properties:
                  total:
                    type: integer
                    description: Total number of leads processed in the request.
                  total_added_to_lead_list:
                    type: integer
                    description: Total number of leads successfully added to the lead list.
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Missing field (type):
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: type'
                        source:
                          pointer: /type
                    object: error
                Unsupported value (type):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: '''foo'' is not a supported type.'
                        source:
                          pointer: /type
                    object: error
                Missing field (leads):
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: leads'
                        source:
                          pointer: /leads
                    object: error
                Unsupported value (leads over limit per leads batch):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: Number of leads exceeds 10,000 limit.
                        source:
                          pointer: /leads
                    object: error
                Unsupported value (lead with no LinkedIn URL for linkedin list):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: 'Missing field from request: leads[1].linkedin_url'
                        source:
                          pointer: /leads/1/linkedin_url
                    object: error
                Unsupported value (lead with invalid LinkedIn URL for linkedin list):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: >-
                          Unsupported value provided for field:
                          leads[1].linkedin_url
                        source:
                          pointer: /leads/1/linkedin_url
                    object: error
                Unsupported value (lead with no email for email list):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: 'Missing field from request: leads[1].email'
                        source:
                          pointer: /leads/1/email
                    object: error
                Unsupported value (lead with invalid email for email list):
                  value:
                    _errors:
                      - code: unsupported_value
                        title: Unsupported Value
                        detail: 'Unsupported value provided for field: leads[1].email'
                        source:
                          pointer: /leads/1/email
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '402':
          description: Insufficient credits
          content:
            application/json:
              examples:
                Insufficient credits:
                  value:
                    _errors:
                      - code: insufficient_credits
                        title: Insufficient Credits
                        detail: >-
                          You do not have enough credits to perform this
                          operation.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Could not find lead list.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '409':
          description: Conflict
          content:
            application/json:
              examples:
                Unsupported value (leads over limit per lead list):
                  value:
                    _errors:
                      - code: conflict
                        title: Conflict
                        detail: The maximum of 60,000 leads per list has been reached.
                        source:
                          pointer: /leads
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '410':
          description: Gone
          content:
            application/json:
              examples:
                Gone:
                  value:
                    _errors:
                      - code: gone
                        title: Gone
                        detail: Lead list is no longer available.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '500':
          description: Internal server error
          content:
            application/json:
              examples:
                Internal server error:
                  value:
                    _errors:
                      - code: internal_server_error
                        title: Internal Server Error
                        detail: Something went wrong.
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````